pipeline {
  agent any
  stages {
    stage('Build TS') {
      steps {
        echo 'Build is Done'
      }
    }
    stage('Status') {
      steps {
        addGitLabMRComment(comment: 'MultiPipeline Status Success')
      }
    }
  }
    post {
        always {
            echo 'One way or another, I have finished'
            deleteDir() /* clean up our workspace */
        }
        success {
            echo 'I succeeeded!'
            slackSend channel: '#jenkins-ci',
            color: 'good',
            message: "Success: CI Pipeline ${currentBuild.description} ${env.RUN_DISPLAY_URL}"
            addGitLabMRComment(comment: "SUCCESS: CI Pipeline ${currentBuild.description} ${env.RUN_DISPLAY_URL}")

        }
        unstable {
            echo 'I am unstable :/'
        }
        failure {
            echo 'I failed :('
            slackSend channel: '#jenkins-ci',
            color: 'good',
            message: "Failed: CI Pipeline ${currentBuild.description} ${env.RUN_DISPLAY_URL}"
            addGitLabMRComment(comment: "Failed: CI Pipeline ${env.JOB_DESCRIPTION} ${currentBuild.description} ${env.RUN_DISPLAY_URL}")
        }
        changed {
            echo 'Things were different before...'
        }
    }
}